%global rctag beta3

Name:           luajit
Version:        2.1.0
%global apiver %(v=%{version}; echo ${v%.${v#[0-9].[0-9].}})
%global srcver %{version}%{?rctag:-%{rctag}}
Release:        32.2%{?dist}
Summary:        Just-In-Time Compiler for Lua
License:        MIT
URL:            http://luajit.org/
Source0:        http://luajit.org/download/LuaJIT-%{srcver}.tar.gz
Group:		Development

ExclusiveArch:  %{arm} %{ix86} x86_64 %{mips} aarch64

BuildRequires:  pkgconfig
BuildRequires:  gcc
BuildRequires:  make
%if 0%{?el5}
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%endif

%description
LuaJIT implements the full set of language features defined by Lua 5.1.
The virtual machine (VM) is API- and ABI-compatible to the standard
Lua interpreter and can be deployed as a drop-in replacement.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Group:          Development

%description devel
This package contains development files for %{name}.

%prep
%setup -n LuaJIT-%{srcver}

# Fix variables
sed -i "s,PREFIX= /usr/local,PREFIX= /usr," Makefile
sed -i "s,/usr/lib,/%{_libdir}," etc/luajit.pc

%build
CFLAGS="%{optflags} -std=gnu99" \
make %{?_smp_mflags} \
	Q= \
	DYNAMIC_CC="cc -fPIC" \
	LDCONFIG="true" \
	TARGET_AR="ar rcus"

find . -ls
%install
make DESTDIR=%{buildroot} install \
	INSTALL_LIB="%{buildroot}/%{_libdir}" \
	DYNAMIC_CC="cc -fPIC" \
	LDCONFIG="true" \
	TARGET_AR="ar rcus"

# Remove static .a
find %{buildroot} -type f -name *.a -delete -print

%if %{defined rctag}
# Development versions are not doing such symlink
ln -s %{name}-%{srcver} %{buildroot}%{_bindir}/%{name}
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-%{srcver}
%{_libdir}/lib%{name}-*.so.*
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}-%{srcver}/

%files devel
#%doc _tmp_html/html/
%{_includedir}/%{name}-%{apiver}/
%{_libdir}/lib%{name}-*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Oct 18 2014 mailaender@opensuse.org
- update to version 2.0.3
  * Add support for multilib distro builds.
  * Improve ULOAD forwarding for open upvalues.
  * Fix GC steps threshold handling when called by JIT-compiled code.
  * Fix argument checks for math.deg() and math.rad().
  * Fix jit.flush(func|true).
  * Respect jit.off(func) when returning to a function, too.
  * Fix compilation of string.byte(s, nil, n).
  * Fix line number for relocated bytecode after closure fixup
  * Fix frame traversal for backtraces.
  * Fix ABC elimination.
  * Fix handling of redundant PHIs.
  * Fix snapshot restore for exit to function header.
  * Fix type punning alias analysis for constified pointers
  * Fix call unroll checks in the presence of metamethod frames.
  * Fix initial maxslot for down-recursive traces.
  * Prevent BASE register coalescing if parent uses IR_RETF.
  * Don't purge modified function from stack slots in BC_RET.
  * Fix recording of BC_VARG.
  * Don't access dangling reference to reallocated IR.
  * Fix frame depth display for bytecode dump in -jdump.
  * ARM: Fix register allocation when rematerializing FPRs.
  * x64: Fix store to upvalue for lightuserdata values.
  * FFI: Add missing GC steps for callback argument conversions.
  * FFI: Properly unload loaded DLLs.
  * FFI: Fix argument checks for ffi.string().
  * FFI/x64: Fix passing of vector arguments to calls.
  * FFI: Rehash finalizer table after GC cycle, if needed.
  * FFI: Fix cts->L for cdata unsinking in snapshot restore.
* Thu Apr 17 2014 simon@simotek.net
- %%make_install replaced with make DESTDIR=%%{buildroot} install
  to fix fedora builds
* Wed Oct 23 2013 tchvatal@suse.com
- Export CFLAGS, funny localy it used them properly.
* Wed Oct 23 2013 tchvatal@suse.com
- Drop STRIP=true from the args.
* Wed Oct 23 2013 tchvatal@suse.com
- Change lib group to libraries only.
* Thu Oct 17 2013 tchvatal@suse.com
- Make the thing acutally build&install.
* Thu Oct 17 2013 tchvatal@suse.com
- Inital package. Used in mpv multimedia player.
